summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-apps/ibm-powerpc-utils-papr
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-apps/ibm-powerpc-utils-papr')
-rw-r--r--sys-apps/ibm-powerpc-utils-papr/Manifest2
-rw-r--r--sys-apps/ibm-powerpc-utils-papr/files/ibm-powerpc-utils-papr-1.1.0-remove-doc.patch14
-rw-r--r--sys-apps/ibm-powerpc-utils-papr/files/ibm-powerpc-utils-papr-1.1.0-removeinitandvscsis.patch23
-rw-r--r--sys-apps/ibm-powerpc-utils-papr/files/ibm-powerpc-utils-papr-1.1.6-removeinitandvscsis.patch27
-rw-r--r--sys-apps/ibm-powerpc-utils-papr/files/ibmvscsis69
-rw-r--r--sys-apps/ibm-powerpc-utils-papr/ibm-powerpc-utils-papr-1.1.0.ebuild46
-rw-r--r--sys-apps/ibm-powerpc-utils-papr/ibm-powerpc-utils-papr-1.1.6.ebuild37
-rw-r--r--sys-apps/ibm-powerpc-utils-papr/metadata.xml5
8 files changed, 223 insertions, 0 deletions
diff --git a/sys-apps/ibm-powerpc-utils-papr/Manifest b/sys-apps/ibm-powerpc-utils-papr/Manifest
new file mode 100644
index 00000000000..822af16a1c6
--- /dev/null
+++ b/sys-apps/ibm-powerpc-utils-papr/Manifest
@@ -0,0 +1,2 @@
+DIST powerpc-utils-papr-1.1.0.tar.gz 202321 SHA256 edd36417a21b19a3e8fd277c93b31fc71309ebde44aa7aa4a7813ce4240b1a16
+DIST powerpc-utils-papr-1.1.6.tar.gz 231283 SHA256 71e1fe04951c62176a8f224d79183e9b87967edb60c07c65f107f93f9b8c6243
diff --git a/sys-apps/ibm-powerpc-utils-papr/files/ibm-powerpc-utils-papr-1.1.0-remove-doc.patch b/sys-apps/ibm-powerpc-utils-papr/files/ibm-powerpc-utils-papr-1.1.0-remove-doc.patch
new file mode 100644
index 00000000000..8a2c27f0f8e
--- /dev/null
+++ b/sys-apps/ibm-powerpc-utils-papr/files/ibm-powerpc-utils-papr-1.1.0-remove-doc.patch
@@ -0,0 +1,14 @@
+--- powerpc-utils-papr-1.1.0.orig/Makefile 2006-03-28 16:07:24.000000000 -0600
++++ powerpc-utils-papr-1.1.0/Makefile 2006-04-19 14:53:25.000000000 -0500
+@@ -20,11 +20,9 @@
+ @$(MAKE) -C doc
+
+ install: all
+- @$(call install_doc,$(FILES),$(DESTDIR))
+ @$(foreach d,$(SUBDIRS), $(MAKE) -C $d install;)
+
+ uninstall:
+- @$(call uninstall_doc,$(FILES),$(DESTDIR))
+ @$(foreach d,$(SUBDIRS), $(MAKE) -C $d uninstall;)
+
+ rpm: all
diff --git a/sys-apps/ibm-powerpc-utils-papr/files/ibm-powerpc-utils-papr-1.1.0-removeinitandvscsis.patch b/sys-apps/ibm-powerpc-utils-papr/files/ibm-powerpc-utils-papr-1.1.0-removeinitandvscsis.patch
new file mode 100644
index 00000000000..a6bb9278f8a
--- /dev/null
+++ b/sys-apps/ibm-powerpc-utils-papr/files/ibm-powerpc-utils-papr-1.1.0-removeinitandvscsis.patch
@@ -0,0 +1,23 @@
+--- powerpc-utils-papr-1.1.0.orig/scripts/Makefile 2006-03-28 16:07:24.000000000 -0600
++++ powerpc-utils-papr-1.1.0/scripts/Makefile 2006-04-19 14:53:44.000000000 -0500
+@@ -4,7 +4,7 @@
+
+ include ../rules.mk
+
+-SCRIPTS = update_flash hvcsadmin vscsisadmin rtas_dump
++SCRIPTS = update_flash hvcsadmin rtas_dump
+
+ RCSCRIPTS = ibmvscsis.sh
+
+@@ -12,11 +12,9 @@
+
+ install: all
+ @$(call install_sbin,$(SCRIPTS),$(DESTDIR))
+- @$(call install_files,$(RCSCRIPTS),755,$(DESTDIR)/etc/init.d)
+
+ uninstall:
+ @$(call uninstall_sbin,$(SCRIPTS),$(DESTDIR))
+- @$(call uninstall_files,$(RCSCRIPTS),$(DESTDIR)/etc/init.d)
+
+ clean:
+ @echo "Cleaning up $(WORK_DIR) files..."
diff --git a/sys-apps/ibm-powerpc-utils-papr/files/ibm-powerpc-utils-papr-1.1.6-removeinitandvscsis.patch b/sys-apps/ibm-powerpc-utils-papr/files/ibm-powerpc-utils-papr-1.1.6-removeinitandvscsis.patch
new file mode 100644
index 00000000000..b8a31df485b
--- /dev/null
+++ b/sys-apps/ibm-powerpc-utils-papr/files/ibm-powerpc-utils-papr-1.1.6-removeinitandvscsis.patch
@@ -0,0 +1,27 @@
+--- powerpc-utils-papr-1.1.6/scripts/Makefile.bak 2010-03-21 15:11:49.590571690 -0400
++++ powerpc-utils-papr-1.1.6/scripts/Makefile 2010-03-21 15:12:48.107232396 -0400
+@@ -4,7 +4,7 @@
+
+ include ../rules.mk
+
+-SCRIPTS = update_flash hvcsadmin vscsisadmin rtas_dump
++SCRIPTS = update_flash hvcsadmin rtas_dump
+
+ USER_SCRIPTS = amsstat
+
+@@ -18,13 +18,13 @@
+ install: all
+ @$(call install_sbin,$(SCRIPTS),$(DESTDIR))
+ @$(call install_bin,$(USER_SCRIPTS),$(DESTDIR))
+- @$(call install_files,$(RCSCRIPTS),755,$(DESTDIR)/etc/init.d)
++ #@$(call install_files,$(RCSCRIPTS),755,$(DESTDIR)/etc/init.d)
+ @$(foreach d,$(SUBDIRS), $(MAKE) -C $d install;)
+
+ uninstall:
+ @$(call uninstall_sbin,$(SCRIPTS),$(DESTDIR))
+ @$(call uninstall_bin,$(USER_SCRIPTS),$(DESTDIR))
+- @$(call uninstall_files,$(RCSCRIPTS),$(DESTDIR)/etc/init.d)
++ #@$(call uninstall_files,$(RCSCRIPTS),$(DESTDIR)/etc/init.d)
+ @$(foreach d,$(SUBDIRS), $(MAKE) -C $d uninstall;)
+
+ clean:
diff --git a/sys-apps/ibm-powerpc-utils-papr/files/ibmvscsis b/sys-apps/ibm-powerpc-utils-papr/files/ibmvscsis
new file mode 100644
index 00000000000..2a47f2ac0dd
--- /dev/null
+++ b/sys-apps/ibm-powerpc-utils-papr/files/ibmvscsis
@@ -0,0 +1,69 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+#
+# This file is tasked with testing for the existence of the ibmvscsis driver
+# and configuring the ibmvscsi server properly as indicated by the config file
+# located at /etc/ibmvscsis.conf
+#
+
+DRIVER=ibmvscsis
+SYSFS=/sys/bus/vio/drivers/ibmvscsis
+CONFIG=/etc/ibmvscsis.conf
+
+depend() {
+ need logger
+ provide ibmvscsis
+}
+
+checkconfig() {
+ if [ ! -e ${CONFIG} ] ; then
+ eerror " ${CONFIG} does not exist."
+ return 1
+ fi
+}
+
+checkmodule_load() {
+ # The existence of $SYSFS indicates that the module has been loaded or that
+ # the driver is at least built into the kernel.
+ if [ ! -e ${SYSFS} ] ; then
+ ewarn " Module ${DRIVER} is not loaded, attempting to load it"
+ /sbin/modprobe ${DRIVER} &> /dev/null && return 0
+ eerror " Failed to load module ${DRIVER}"
+ return 1
+ fi
+}
+
+checkmodule() {
+ # The existence of $SYSFS indicates that the module has been loaded or that
+ # the driver is at least built into the kernel.
+ if [ ! -e ${SYSFS} ] ; then
+ eerror " Module ${DRIVER} is not loaded"
+ return 1
+ fi
+}
+
+start() {
+ ebegin "Starting vscsiadmin"
+ checkconfig || return 1
+ checkmodule_load || return 1
+ /usr/sbin/vscsiadmin -start &> /dev/null
+ eend $? "Failed to start vscsiadmin"
+}
+
+stop() {
+ ebegin "Stopping vscsiadmin"
+ checkmodule || return 1
+ /usr/sbin/vscsiadmin -stop &> /dev/null
+ eend $? "Failed to stop vscsiadmin"
+}
+
+status() {
+ checkmodule || return 1
+ /usr/sbin/vscsiadmin -status
+}
+
+restart() {
+ stop
+ start
+}
diff --git a/sys-apps/ibm-powerpc-utils-papr/ibm-powerpc-utils-papr-1.1.0.ebuild b/sys-apps/ibm-powerpc-utils-papr/ibm-powerpc-utils-papr-1.1.0.ebuild
new file mode 100644
index 00000000000..fa43e01824c
--- /dev/null
+++ b/sys-apps/ibm-powerpc-utils-papr/ibm-powerpc-utils-papr-1.1.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils
+
+MY_P="powerpc-utils-papr-${PV}"
+
+DESCRIPTION="This package provides the utilities which are intended for the maintenance of IBM powerpc platforms"
+SRC_URI="http://powerpc-utils.ozlabs.org/releases/powerpc-utils-papr-${PV}.tar.gz"
+HOMEPAGE="http://powerpc-utils.ozlabs.org/"
+
+S="${WORKDIR}/${MY_P}"
+
+SLOT="0"
+LICENSE="IBM"
+KEYWORDS="ppc ppc64"
+IUSE=""
+RDEPEND=">=sys-apps/ibm-powerpc-utils-1.1.0
+ sys-libs/librtas
+ virtual/logger"
+
+src_unpack() {
+ unpack ${A}
+ epatch "${FILESDIR}"/ibm-powerpc-utils-papr-1.1.0-remove-doc.patch
+ epatch "${FILESDIR}"/ibm-powerpc-utils-papr-1.1.0-removeinitandvscsis.patch
+}
+
+src_install() {
+ make DESTDIR="${D}" install || die "Compilation failed"
+ dodoc README COPYRIGHT
+ #dodir /etc/init.d
+ #exeinto /etc/init.d
+ #newexe ${FILESDIR}/ibmvscsis ibmvscsis
+}
+
+pkg_postinst() {
+ #einfo "An initscript for managing virtual scsi servers has "
+ #einfo "been install into /etc/init.d/ called ibmviscsis. "
+ #einfo "Before you can use this daemon, you must create a proper "
+ #einfo "/etc/ibmvscsis.conf file."
+ einfo "Support for the IBM Virtual SCSI server (virtual disk) "
+ einfo "is not included in this version of powerpc-utils-papr. "
+ einfo "When the ibmvscsis function is generally available in "
+ einfo "the kernel source trees, it will be added back in."
+}
diff --git a/sys-apps/ibm-powerpc-utils-papr/ibm-powerpc-utils-papr-1.1.6.ebuild b/sys-apps/ibm-powerpc-utils-papr/ibm-powerpc-utils-papr-1.1.6.ebuild
new file mode 100644
index 00000000000..21f61893f75
--- /dev/null
+++ b/sys-apps/ibm-powerpc-utils-papr/ibm-powerpc-utils-papr-1.1.6.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils
+
+MY_P="powerpc-utils-papr-${PV}"
+
+DESCRIPTION="This package provides the utilities which are intended for the maintenance of IBM powerpc platforms"
+SRC_URI="http://powerpc-utils.ozlabs.org/releases/powerpc-utils-papr-${PV}.tar.gz"
+HOMEPAGE="http://powerpc-utils.ozlabs.org/"
+
+S="${WORKDIR}/${MY_P}"
+
+SLOT="0"
+LICENSE="IBM"
+KEYWORDS="~ppc ~ppc64"
+IUSE=""
+RDEPEND=">=sys-apps/ibm-powerpc-utils-1.1.2
+ sys-libs/librtas
+ virtual/logger"
+
+src_unpack() {
+ unpack ${A}
+ epatch "${FILESDIR}"/ibm-powerpc-utils-papr-${PV}-removeinitandvscsis.patch
+}
+
+src_install() {
+ make DESTDIR="${D}" install || die "Compilation failed"
+}
+
+pkg_postinst() {
+ einfo "Support for the IBM Virtual SCSI server (virtual disk) "
+ einfo "is not included in this version of powerpc-utils-papr. "
+ einfo "When the ibmvscsis function is generally available in "
+ einfo "the kernel source trees, it will be added back in."
+}
diff --git a/sys-apps/ibm-powerpc-utils-papr/metadata.xml b/sys-apps/ibm-powerpc-utils-papr/metadata.xml
new file mode 100644
index 00000000000..f9a5b22fcbe
--- /dev/null
+++ b/sys-apps/ibm-powerpc-utils-papr/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>ppc64</herd>
+</pkgmetadata>